#include "../config.h"
#include "osdsh.h"

    xosd *clockosd;
    settings_t clockset;
    char clockformat[255] = CLOCK_FORMAT;

/*================================clock_display() ========================== */
/* got the ideas from osd_clock */

void *clock_display(void *arg)
{
    time_t currenttime;
    char timestring[255];
    /* open the osd*/

    clockosd =
	xosd_init(clockset.font, clockset.color, 2,
	clockset.xposition, clockset.yposition,
	clockset.soffset, clockset.xoffset, clockset.yoffset);

    while (clockset.display) {
	    currenttime = time(0);

	    strftime(timestring, 255, clockformat, localtime(&currenttime));

	    xosd_display(clockosd, clockset.yposition==XOSD_bottom?0:1,
		XOSD_string, "");
	    xosd_display(clockosd, clockset.yposition==XOSD_bottom?1:0,
		XOSD_string, timestring);
    }
    pthread_exit(0);
}
