#include "osdsh.h"
#include "../config.h"
    char pppif[255] = PPP_DEVICE;
    settings_t pppset;
    xosd *ppposd;
    char connecting1[BUFSIZ];
    char connecting2[BUFSIZ];
    char connected1[BUFSIZ];
    char connected2[BUFSIZ];
    char disconnected[BUFSIZ];
    char connecttime[BUFSIZ];

/*=============================connection_watch()=========================== */
/* some ideas from ppptime */
void *connection_watch(void *arg)
{
    FILE *fp;
    int ppp0run;

    long start;
    long end;
    int total;
    struct stat st;

    char ppp0pidfile[PATH_MAX];

	ppposd =
	    xosd_init(pppset.font, pppset.color, pppset.delay,
		pppset.xposition, pppset.yposition,
		pppset.soffset, pppset.xoffset, pppset.yoffset);

    if(strcmp(pppif, "")==0)
	sprintf(pppif, "%s", PPP_DEVICE);

    sprintf(ppp0pidfile, "%s/%s.pid", PPP_PID_PATH, pppif);

    while (pppset.display) {
	    if (strcmp(connecting1, "")==0)
		sprintf(connecting1, "Connecting...");
	    if (strcmp(connecting2, "")==0)
		sprintf(connecting2, "");
	
	    if (strcmp(connected1, "")==0)
		sprintf(connected1, "Connected");
	    if (strcmp(connected2, "")==0)
		sprintf(connected2, "");
	
	    if (strcmp(disconnected, "")==0)
		sprintf(disconnected, "Connection terminated");
	
	    xosd_display(ppposd, 0, XOSD_string, connecting1);
	    xosd_display(ppposd, 1, XOSD_string, connecting2);
	
	    sprintf(ppp0pidfile, "%s/%s.pid", PPP_PID_PATH, pppif);
	
	    if((fp=fopen(ppp0pidfile, "r"))==NULL) {
		ppp0run = 0;
	    }
	    else {
		ppp0run = 1;
		fclose(fp);
	    }
	
	    if(ppp0run) {
		xosd_display(ppposd,0, XOSD_string, connected1);
		xosd_display(ppposd,1, XOSD_string, connected2);
	
		stat(ppp0pidfile, &st);
		start = st.st_mtime; 
	
		while((fp=fopen(ppp0pidfile, "r"))!=NULL) {
		    fclose(fp);
		    end = time(0);
		    total = end - start;
		    sprintf(connecttime, "Connected for %d hr %d min %d sec",
			((total/60)/60)%100, (total/60)%60, total%60);
		    usleep(3);
	   		}
		end = time(0);
		total = end - start;
		sprintf(connecttime, "Disconnected after %d hr %d min %d sec",
			((total/60)/60)%100, (total/60)%60, total%60);
	
		xosd_display(ppposd,0, XOSD_string, disconnected);
	   	xosd_display(ppposd,1, XOSD_string, connecttime);
	
		pppset.display = 0;
	    }
    }
    pthread_exit(0);
}
